Name:    KDSingleApplication
Summary: Single-instance policy application helper class for KDAB
Version: 1.1.0
Release: 1%{?dist}
License: BSD-3-Clause AND MIT
URL:     https://www.kdab.com/
Source0: https://github.com/KDAB/%{name}/releases/download/v%{version}/kdsingleapplication-%{version}.tar.gz

BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Test)

%description
%{summary}.

%package devel
Summary:  Developer files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}.

%prep
%autosetup -p1 -n kdsingleapplication-%{version}

%build
%{cmake} -DKDSingleApplication_QT6=ON -DKDSingleApplication_TESTS=ON
%{cmake_build}

%install
%{cmake_install}
%{ctest}
# Not needed
rm -rf %{buildroot}%{_datarootdir}/doc/KDSingleApplication-qt6

%files
%doc README.md
%license LICENSE.txt LICENSES/*
%{_libdir}/libkdsingleapplication-qt6.so.1.1*

%files devel
%{_includedir}/kdsingleapplication-qt6
%{_libdir}/cmake/KDSingleApplication-qt6
%{_libdir}/libkdsingleapplication-qt6.so
%{_libdir}/qt6/mkspecs/modules/qt_KDSingleApplication.pri

%changelog
* Wed Jun 12 2024 Steve Cossette <farchord@gmail.com> - 1.1.0-1
- Initial Release
